SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";

CREATE TABLE `preidlog_barcodes` (
  `bcmodele_id` int(11) NOT NULL,
  `nom` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `typusage` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `format` varchar(1) COLLATE utf8_unicode_ci DEFAULT NULL,
  `nbwidth` int(4) DEFAULT NULL,
  `nbheight` int(4) DEFAULT NULL,
  `type` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `margextg` int(4) DEFAULT NULL,
  `margextd` int(4) DEFAULT NULL,
  `margexth` int(4) DEFAULT NULL,
  `margextb` int(4) DEFAULT NULL,
  `margintg` int(4) DEFAULT NULL,
  `margintd` int(4) DEFAULT NULL,
  `marginth` int(4) DEFAULT NULL,
  `margintb` int(4) DEFAULT NULL,
  `textup` int(1) DEFAULT NULL,
  `textspe` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `textupsize` int(4) DEFAULT NULL,
  `fontsize` int(4) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_calendrier` (
  `date` date NOT NULL,
  `statut` int(1) NOT NULL,
  `info` varchar(200) COLLATE utf8_unicode_ci DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_edtbrik` (
  `brik_id` int(11) NOT NULL,
  `code` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `summary` varchar(50) COLLATE utf8_unicode_ci NOT NULL,
  `seq_id` int(11) NOT NULL,
  `division` text COLLATE utf8_unicode_ci NOT NULL,
  `textelibre` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `activ_brik` int(1) NOT NULL,
  `close` int(11) DEFAULT NULL,
  `seance` int(11) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_edtcode` (
  `code_id` int(11) NOT NULL,
  `code` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `nom` varchar(100) CHARACTER SET utf8 NOT NULL,
  `activ_code` int(11) NOT NULL,
  `default_code` int(11) NOT NULL,
  `bgcolor_code` varchar(7) COLLATE utf8_unicode_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_edtevent` (
  `uid` int(11) NOT NULL,
  `dtstart` varchar(15) COLLATE utf8_unicode_ci NOT NULL,
  `dtend` varchar(15) COLLATE utf8_unicode_ci NOT NULL,
  `hor_id` int(15) NOT NULL,
  `week` int(6) NOT NULL,
  `brik_id` int(11) NOT NULL,
  `seq_id` int(11) NOT NULL,
  `hor_name` varchar(2) COLLATE utf8_unicode_ci DEFAULT NULL,
  `specifique` int(11) DEFAULT 0,
  `duration` int(11) DEFAULT 10
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_edtnivcolor` (
  `id` int(11) NOT NULL,
  `niveau` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  `bgcolor` varchar(7) COLLATE utf8_unicode_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_eleves` (
  `eleves_id` int(11) NOT NULL,
  `nom` text COLLATE utf8_unicode_ci NOT NULL,
  `prenom` text COLLATE utf8_unicode_ci NOT NULL,
  `division` text COLLATE utf8_unicode_ci NOT NULL,
  `naissance` date DEFAULT NULL,
  `sexe` char(1) COLLATE utf8_unicode_ci DEFAULT NULL,
  `code` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `mdp` varchar(200) COLLATE utf8_unicode_ci DEFAULT NULL,
  `mail` varchar(200) COLLATE utf8_unicode_ci DEFAULT NULL,
  `auth_mail` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_elevesmaj` (
  `eleves_id` int(11) NOT NULL,
  `nom` text COLLATE utf8_unicode_ci NOT NULL,
  `prenom` text COLLATE utf8_unicode_ci NOT NULL,
  `division` text COLLATE utf8_unicode_ci NOT NULL,
  `naissance` date DEFAULT NULL,
  `sexe` char(1) COLLATE utf8_unicode_ci DEFAULT NULL,
  `code` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `mdp` varchar(200) COLLATE utf8_unicode_ci DEFAULT NULL,
  `mail` varchar(200) COLLATE utf8_unicode_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_espaces` (
  `espace_id` int(11) NOT NULL,
  `espace_nom` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `seuilnbi` int(11) DEFAULT NULL,
  `seuilreaci` varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  `seuilnbr` int(11) DEFAULT NULL,
  `seuilreacr` varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  `espace_bg` varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  `default_espace` int(11) DEFAULT NULL,
  `resa` int(11) DEFAULT NULL,
  `resa_dist` int(11) DEFAULT NULL,
  `auth_freq` int(11) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_etab` (
  `etab_id` int(11) NOT NULL,
  `nom` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `adresse` varchar(200) COLLATE utf8_unicode_ci DEFAULT NULL,
  `cp` varchar(5) COLLATE utf8_unicode_ci DEFAULT NULL,
  `ville` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `tel` char(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `fax` char(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `mail` varchar(200) COLLATE utf8_unicode_ci DEFAULT NULL,
  `rne` char(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  `academie` text COLLATE utf8_unicode_ci NOT NULL,
  `pays` varchar(5) COLLATE utf8_unicode_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_etab_effectifs` (
  `etab_id` int(11) DEFAULT NULL,
  `anneesco` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `division` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `effectif` int(11) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_exclucauses` (
  `exclucause_id` int(11) NOT NULL,
  `exclucause_txt` varchar(50) COLLATE utf8_unicode_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_exclusions` (
  `exclusion_id` int(11) NOT NULL,
  `eleves_id` int(11) DEFAULT NULL,
  `exclucause_id` int(11) DEFAULT NULL,
  `date_exclusion` date DEFAULT NULL,
  `date_info` date DEFAULT NULL,
  `date_fin` date DEFAULT NULL,
  `excluactivs` varchar(200) COLLATE utf8_unicode_ci DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_freq` (
  `freq_id` int(11) NOT NULL,
  `eleves_id` int(11) NOT NULL,
  `date_freq` date NOT NULL,
  `code_freq` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `cas` varchar(3) COLLATE utf8_unicode_ci NOT NULL,
  `division` text COLLATE utf8_unicode_ci NOT NULL,
  `sexe` char(1) COLLATE utf8_unicode_ci DEFAULT NULL,
  `h_inscription` varchar(15) COLLATE utf8_unicode_ci DEFAULT NULL,
  `user_id` int(11) DEFAULT NULL,
  `espace_id` int(11) DEFAULT NULL,
  `hor_name` varchar(2) COLLATE utf8_unicode_ci DEFAULT NULL,
  `code_activ` varchar(4) COLLATE utf8_unicode_ci DEFAULT NULL,
  `code_activ2` varchar(4) COLLATE utf8_unicode_ci DEFAULT NULL,
  `code_activ3` varchar(4) COLLATE utf8_unicode_ci DEFAULT NULL,
  `h_sortie` varchar(15) COLLATE utf8_unicode_ci DEFAULT NULL,
  `h_inscription2` varchar(15) COLLATE utf8_unicode_ci DEFAULT NULL,
  `h_sortie_2` varchar(15) COLLATE utf8_unicode_ci DEFAULT NULL,
  `h_inscription3` varchar(15) COLLATE utf8_unicode_ci DEFAULT NULL,
  `h_sortie_3` varchar(15) COLLATE utf8_unicode_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_freqactiv` (
  `activ_id` int(3) NOT NULL,
  `code_activ` varchar(4) COLLATE utf8_unicode_ci NOT NULL,
  `nom_activ` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `activ_activ` int(1) NOT NULL,
  `default_activ` int(1) NOT NULL,
  `consult_activ` int(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_freqgrappes` (
  `freqgrap_id` int(11) NOT NULL,
  `nombre` int(11) NOT NULL,
  `division` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `niveau` varchar(2) COLLATE utf8_unicode_ci DEFAULT NULL,
  `date_freq` date NOT NULL,
  `dtstart` varchar(15) COLLATE utf8_unicode_ci DEFAULT NULL,
  `code_freq` varchar(30) COLLATE utf8_unicode_ci DEFAULT NULL,
  `passage` int(1) NOT NULL,
  `user_id` int(11) DEFAULT NULL,
  `espace_id` int(11) DEFAULT NULL,
  `hor_name` varchar(2) COLLATE utf8_unicode_ci DEFAULT NULL,
  `code_activ` varchar(4) COLLATE utf8_unicode_ci DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_freqres` (
  `freqres_id` int(11) NOT NULL,
  `eleves_id` int(11) NOT NULL,
  `date_freqres` date NOT NULL,
  `code_freqres` varchar(25) COLLATE utf8_unicode_ci NOT NULL,
  `hor_name` varchar(2) COLLATE utf8_unicode_ci NOT NULL,
  `espace_id` int(11) DEFAULT NULL,
  `activ_id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_freqresref` (
  `refus_id` int(11) NOT NULL,
  `eleves_id` int(11) NOT NULL,
  `todate` date NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_groupele` (
  `groupe_id` int(11) NOT NULL,
  `eleves_id` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_groupes` (
  `groupe_id` int(11) NOT NULL,
  `groupe_nom` varchar(20) COLLATE utf8_unicode_ci NOT NULL,
  `groupe_desc` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `groupe_actif` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_horaires` (
  `hor_id` int(11) NOT NULL,
  `hor_name` varchar(2) COLLATE utf8_unicode_ci NOT NULL,
  `num_creneau` int(2) NOT NULL,
  `debut` time NOT NULL,
  `fin` time NOT NULL,
  `hor_freq` int(1) NOT NULL,
  `quota_freq` int(11) DEFAULT 0,
  `hor_resa` int(11) DEFAULT NULL,
  `quota_resa` int(11) DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_hordemis` (
  `id` int(11) NOT NULL,
  `demijour` varchar(5) COLLATE utf8_unicode_ci NOT NULL,
  `statut` int(1) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_limits` (
  `limit_id` int(11) NOT NULL,
  `eleves_id` int(11) DEFAULT NULL,
  `limittxt_id` int(11) DEFAULT NULL,
  `date_debut` date DEFAULT NULL,
  `date_fin` date DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_limitstxt` (
  `limittxt_id` int(11) NOT NULL,
  `limits_txt` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `espace_id` int(11) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_parametres` (
  `param_id` int(11) NOT NULL,
  `param_nom` varchar(30) COLLATE utf8_unicode_ci NOT NULL,
  `valeur` varchar(300) COLLATE utf8_unicode_ci DEFAULT NULL,
  `comments` text COLLATE utf8_unicode_ci DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_periodes` (
  `period_id` int(11) NOT NULL,
  `nom` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
  `anneesco` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `periodes` text COLLATE utf8_unicode_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_retards` (
  `retards_id` int(11) NOT NULL,
  `eleves_id` int(11) NOT NULL,
  `titre` varchar(100) COLLATE utf8_unicode_ci NOT NULL,
  `retour_date` date NOT NULL,
  `niv_alerte` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_savchamps` (
  `sc_id` int(11) NOT NULL,
  `champs_id` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `champs_nom` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `bgcolor` varchar(7) COLLATE utf8_unicode_ci DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_savele` (
  `eleves_id` int(11) NOT NULL,
  `s_id` varchar(15) COLLATE utf8_unicode_ci DEFAULT NULL,
  `eval` int(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_savnotions` (
  `notion_id` int(11) NOT NULL,
  `notion_nom` varchar(300) COLLATE utf8_unicode_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_savoirs1` (
  `s1_id` varchar(15) COLLATE utf8_unicode_ci NOT NULL,
  `nom_savoir` text COLLATE utf8_unicode_ci NOT NULL,
  `niveau` varchar(2) COLLATE utf8_unicode_ci NOT NULL,
  `champs_id` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  `notions` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `base` int(1) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_savoirs2` (
  `s2_id` varchar(15) COLLATE utf8_unicode_ci NOT NULL,
  `nom_savoir` text COLLATE utf8_unicode_ci NOT NULL,
  `niveau` varchar(2) COLLATE utf8_unicode_ci NOT NULL,
  `champs_id` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  `notions` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `base` int(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_savoirs3` (
  `s3_id` varchar(15) COLLATE utf8_unicode_ci NOT NULL,
  `nom_savoir` text COLLATE utf8_unicode_ci NOT NULL,
  `niveau` varchar(2) COLLATE utf8_unicode_ci NOT NULL,
  `champs_id` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  `notions` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `base` int(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_savoirs4` (
  `s4_id` varchar(15) COLLATE utf8_unicode_ci NOT NULL,
  `nom_savoir` text COLLATE utf8_unicode_ci NOT NULL,
  `niveau` varchar(2) COLLATE utf8_unicode_ci NOT NULL,
  `champs_id` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  `notions` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `base` int(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_savoirs5` (
  `s5_id` varchar(15) COLLATE utf8_unicode_ci NOT NULL,
  `nom_savoir` text COLLATE utf8_unicode_ci NOT NULL,
  `niveau` varchar(2) COLLATE utf8_unicode_ci NOT NULL,
  `champs_id` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  `notions` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `base` int(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_savoirs6` (
  `s6_id` varchar(15) COLLATE utf8_unicode_ci NOT NULL,
  `nom_savoir` text COLLATE utf8_unicode_ci NOT NULL,
  `niveau` varchar(2) COLLATE utf8_unicode_ci NOT NULL,
  `champs_id` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  `notions` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `base` int(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_savoirsmaj` (
  `s_id` varchar(15) COLLATE utf8_unicode_ci NOT NULL,
  `nom_savoir` text COLLATE utf8_unicode_ci NOT NULL,
  `niveau` varchar(2) COLLATE utf8_unicode_ci NOT NULL,
  `champs_id` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  `notions` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `base` int(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_savoirst` (
  `st_id` varchar(15) COLLATE utf8_unicode_ci NOT NULL,
  `nom_savoir` text COLLATE utf8_unicode_ci NOT NULL,
  `niveau` varchar(2) COLLATE utf8_unicode_ci NOT NULL,
  `champs_id` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  `notions` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `base` int(1) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_seqdocs` (
  `doc_id` int(11) NOT NULL,
  `seq_id` int(11) NOT NULL,
  `docurl` text COLLATE utf8_unicode_ci NOT NULL,
  `docname` text COLLATE utf8_unicode_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_seqeleves` (
  `eleves_id` int(11) NOT NULL,
  `seq_id` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_seqnot` (
  `seq_id` int(11) NOT NULL,
  `notion_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_seqsav` (
  `seq_id` int(11) NOT NULL,
  `s_id` varchar(15) COLLATE utf8_unicode_ci NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_sequences` (
  `seq_id` int(11) NOT NULL,
  `seq_nom` text COLLATE utf8_unicode_ci NOT NULL,
  `contexte` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `niveau` varchar(10) COLLATE utf8_unicode_ci NOT NULL,
  `intervs` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `enjeux` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `requis` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `notions` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `curriculum` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `emi` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `socle` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `autres` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `production` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `calendrier` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `ressources` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `synopsis` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `outils1` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `outils2` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `eval` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `reinves` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `bilan` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `conseils` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `auteur` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `licence` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `url` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `date_crea` date DEFAULT NULL,
  `date_maj` date DEFAULT NULL,
  `seq_actif` int(11) NOT NULL,
  `seq_complete` int(11) DEFAULT NULL,
  `progression` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_user` (
  `id` int(11) NOT NULL,
  `nom` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `prenom` varchar(20) COLLATE utf8_unicode_ci DEFAULT NULL,
  `login` varchar(40) COLLATE utf8_unicode_ci NOT NULL,
  `mdp` varchar(200) COLLATE utf8_unicode_ci DEFAULT NULL,
  `mail` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
  `droits` int(11) NOT NULL,
  `accueil` int(1) NOT NULL,
  `css` text COLLATE utf8_unicode_ci DEFAULT NULL,
  `edt` int(11) DEFAULT NULL,
  `connected_info` int(11) DEFAULT NULL,
  `espace_default` int(11) DEFAULT NULL,
  `align_activ` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  `align_espace` varchar(10) COLLATE utf8_unicode_ci DEFAULT NULL,
  `auth_mail` int(11) DEFAULT 0,
  `auth_chat` int(11) DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_userconnect` (
  `user_id` int(11) DEFAULT NULL,
  `connected` int(11) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE `preidlog_userevent` (
  `user_id` int(11) NOT NULL,
  `uid` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;


ALTER TABLE `preidlog_barcodes`
  ADD PRIMARY KEY (`bcmodele_id`);

ALTER TABLE `preidlog_calendrier`
  ADD PRIMARY KEY (`date`);

ALTER TABLE `preidlog_edtbrik`
  ADD PRIMARY KEY (`brik_id`);

ALTER TABLE `preidlog_edtcode`
  ADD PRIMARY KEY (`code_id`);

ALTER TABLE `preidlog_edtevent`
  ADD PRIMARY KEY (`uid`);

ALTER TABLE `preidlog_edtnivcolor`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `preidlog_eleves`
  ADD PRIMARY KEY (`eleves_id`);

ALTER TABLE `preidlog_elevesmaj`
  ADD PRIMARY KEY (`eleves_id`);

ALTER TABLE `preidlog_espaces`
  ADD PRIMARY KEY (`espace_id`);

ALTER TABLE `preidlog_etab`
  ADD PRIMARY KEY (`etab_id`);

ALTER TABLE `preidlog_exclucauses`
  ADD PRIMARY KEY (`exclucause_id`);

ALTER TABLE `preidlog_exclusions`
  ADD PRIMARY KEY (`exclusion_id`);

ALTER TABLE `preidlog_freq`
  ADD PRIMARY KEY (`freq_id`);

ALTER TABLE `preidlog_freqactiv`
  ADD PRIMARY KEY (`activ_id`);

ALTER TABLE `preidlog_freqgrappes`
  ADD PRIMARY KEY (`freqgrap_id`);

ALTER TABLE `preidlog_freqres`
  ADD PRIMARY KEY (`freqres_id`);

ALTER TABLE `preidlog_freqresref`
  ADD PRIMARY KEY (`refus_id`);

ALTER TABLE `preidlog_groupes`
  ADD PRIMARY KEY (`groupe_id`);

ALTER TABLE `preidlog_horaires`
  ADD PRIMARY KEY (`hor_id`),
  ADD UNIQUE KEY `hor_id` (`hor_id`),
  ADD UNIQUE KEY `hor_id_2` (`hor_id`);

ALTER TABLE `preidlog_hordemis`
  ADD PRIMARY KEY (`id`);

ALTER TABLE `preidlog_limits`
  ADD PRIMARY KEY (`limit_id`);

ALTER TABLE `preidlog_limitstxt`
  ADD PRIMARY KEY (`limittxt_id`);

ALTER TABLE `preidlog_parametres`
  ADD PRIMARY KEY (`param_id`);

ALTER TABLE `preidlog_periodes`
  ADD PRIMARY KEY (`period_id`);

ALTER TABLE `preidlog_retards`
  ADD PRIMARY KEY (`retards_id`);

ALTER TABLE `preidlog_savchamps`
  ADD PRIMARY KEY (`sc_id`);

ALTER TABLE `preidlog_savnotions`
  ADD PRIMARY KEY (`notion_id`);

ALTER TABLE `preidlog_savoirs1`
  ADD PRIMARY KEY (`s1_id`);

ALTER TABLE `preidlog_savoirs2`
  ADD PRIMARY KEY (`s2_id`);

ALTER TABLE `preidlog_savoirs3`
  ADD PRIMARY KEY (`s3_id`);

ALTER TABLE `preidlog_savoirs4`
  ADD PRIMARY KEY (`s4_id`);

ALTER TABLE `preidlog_savoirs5`
  ADD PRIMARY KEY (`s5_id`);

ALTER TABLE `preidlog_savoirs6`
  ADD PRIMARY KEY (`s6_id`);

ALTER TABLE `preidlog_savoirsmaj`
  ADD PRIMARY KEY (`s_id`);

ALTER TABLE `preidlog_savoirst`
  ADD PRIMARY KEY (`st_id`);

ALTER TABLE `preidlog_seqdocs`
  ADD PRIMARY KEY (`doc_id`);

ALTER TABLE `preidlog_sequences`
  ADD PRIMARY KEY (`seq_id`);

ALTER TABLE `preidlog_user`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `login` (`login`);


ALTER TABLE `preidlog_barcodes`
  MODIFY `bcmodele_id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `preidlog_edtbrik`
  MODIFY `brik_id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `preidlog_edtcode`
  MODIFY `code_id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `preidlog_edtevent`
  MODIFY `uid` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `preidlog_edtnivcolor`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `preidlog_eleves`
  MODIFY `eleves_id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `preidlog_elevesmaj`
  MODIFY `eleves_id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `preidlog_espaces`
  MODIFY `espace_id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `preidlog_etab`
  MODIFY `etab_id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `preidlog_exclucauses`
  MODIFY `exclucause_id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `preidlog_exclusions`
  MODIFY `exclusion_id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `preidlog_freq`
  MODIFY `freq_id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `preidlog_freqactiv`
  MODIFY `activ_id` int(3) NOT NULL AUTO_INCREMENT;

ALTER TABLE `preidlog_freqgrappes`
  MODIFY `freqgrap_id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `preidlog_freqres`
  MODIFY `freqres_id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `preidlog_freqresref`
  MODIFY `refus_id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `preidlog_groupes`
  MODIFY `groupe_id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `preidlog_horaires`
  MODIFY `hor_id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `preidlog_limits`
  MODIFY `limit_id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `preidlog_limitstxt`
  MODIFY `limittxt_id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `preidlog_parametres`
  MODIFY `param_id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `preidlog_periodes`
  MODIFY `period_id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `preidlog_retards`
  MODIFY `retards_id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `preidlog_savchamps`
  MODIFY `sc_id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `preidlog_savnotions`
  MODIFY `notion_id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `preidlog_seqdocs`
  MODIFY `doc_id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `preidlog_sequences`
  MODIFY `seq_id` int(11) NOT NULL AUTO_INCREMENT;

ALTER TABLE `preidlog_user`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT;
